Subject: various 'cywin1.dll' tested with PERL's 'Configure' script.
From: Samy Alex ZAIMI <[email-masked]>
To: cygwin <[email-masked]>
Date: Thu, 03 Jun 1999 07:21:34 +0000

Hello everyone,
A few days ago, I posted to this list some
questions concerning the problems I had with
configuring PERL (with the dynamic patch suited
for cygwin).
Since I received no answers, I had to dig a bit. I
found out that one of the problems is related to
the way (a)sh.exe handles so called 'here
documents'.
The version of 'sh.exe' I have is dated Dec 1
1998, and is 68608 bytes long. I was unable to
print the version, because neither '-v' nor
'--version' nor '-h' nor '-?' seem to work. May be
it is too old, is there a new ash arround ?

I have found in the archives some discussions
about that (it was in february). The symptoms
described by Mikey in his first post dated
1999/02/12/18:43:39 (Here documents in ash shell
scripts mess up stdin on 9x) are exactly the same
I am facing.
Unfortunately, I didn't follow the whole
discussion, and I don't know what are the
conclusions among :
1. put a symlink from /bin/bash.exe to
/usr/bin/sh.exe (doesn't change anything)
2. change tty in CYGWIN to notty (ok, solves, but
what about stability ?)
3. recompile a newer version of (a)sh.exe (didn't
try)

Lately, Glenn Spell posted (1999/05/03/13:02:39,
Heredocs with ash on Win95) that such problems
disappeared when he used the 19990502 cygwin1.dll.
Well, he didn't receive many answers either (or he
did but it was privately).

I don't know if here documents are indeed better
handled, because when I try the Configure script
for PERL, here is what I have :
    helios:/usr/local/src/perl5.005_03$ sh
Configure
    /bin/cat.exe: ./try: input file is output file

    /bin/cat.exe: ./try: input file is output file

    : Can't open
    Hmm... ': use /bin/sh' does not guarantee sh
startup...
    You may have to fix up the shell scripts to
make sure /bin/sh runs them.

With the old version (from 19990115), I have a
very usual beginning :
    helios:/usr/local/src/perl5.005_03$ sh
Configure
    Beginning of configuration questions for
perl5.

So, what is going on there ?
By the way, I tried also the snapshot from
19990601, but my shell blew up with a Windows
error message (you know, the one that advices to
contact the author(s) of the software).
Well, I don't know what to do.

Some people can tell me that I can install the
full compiled binary distribution of PERL from
C.Wilson (instead of compiling it localy), but do
they know that this distro has still some hidden
imperfections ? For instance, in the file
'/usr/local/lib/perl5/5.00503/cygwin32/config.pm',
some variables have empty settings like :
mv, tail, tar, zcat, bash, bison, chgrp, chown,
chmod, flex
or very strange ones, like 'ranlib' being set to
':' !
This comes from the Configure procedure, which
still made some mistakes.

Anyway, I would appreciate very much if someone
explains me what I am missing here.
May be it is a good opportunity to recapitulate
everything about versions of (a)sh.exe, use of
(no)tty, versions of cygwin1.dll ...
(if possible within the frame of W95).

Thanks in advance,
Samy Alex ZAIMI.

--
Want to unsubscribe from this list?
Send a message to [email-masked]